#{extends 'common/frontend-admin.html' /}
#{doLayout /}
#{set 'moreStyles'}
<link rel="stylesheet" type="text/css" href="@{'/public/assets/semantic/semantic.min.css'}">
<style>
    #searchForm {
        padding-bottom: 20px;
    }

    .main-header .navbar-custom-menu {
        position: absolute !important;
        right: 1vw !important;
    }

    .right, .number, .decimal {
        text-align: right;
    }

    .copy-data, .copy-data-all {
        cursor: pointer;
    }

    .center-content {
        text-align: center !important;
    }

</style>
#{/set}
#{set 'moreScripts'}
<script src="@{'/public/assets/semantic/semantic.min.js'}" async defer></script>
<script src="@{'/public/assets/semantic/components/dropdown.min.js'}"></script>
<script src="@{'/public/assets/plugins/jquery-autonumeric/autoNumeric.js'}" type="text/javascript"></script>
<script type="text/javascript" src="@{'public/javascripts/jquery.validate.min.js'}"></script>
<script type="text/javascript">

    $.validator.methods.range = function (value, element, param) {
        var globalizedValue = value.replace(",", ".");
        return this.optional(element) || (globalizedValue >= param[0] && globalizedValue <= param[1]);
    }

    $.validator.methods.number = function (value, element) {
        return this.optional(element) || /^-?(?:\d+|\d{1,3}(?:[\s\.,]\d{3})+)(?:[\.,]\d+)?$/.test(value);
    }

    function adjustmentData(FormName) {
        $(".number").autoNumeric({aSep: '.', aDec: ',', vMax: '2147483647', mDec: 0});
        $(".decimal").autoNumeric({aSep: '.', aDec: ',', vMax: '999999999999999999999999'});

        $(".copy-data").on('click', function (e) {
            var attr = $(e.currentTarget).data('attr');
            var originalVal = $("." + attr).val();
            $("input[name='summaryEdit." + attr + "']").val(originalVal);
            $("input[name='summaryEdit." + attr + "']").autoNumeric('update');
        });

        $(".copy-data-all").on('click', function () {
            $(".copy-data").click();
        });

        var rules = {};
        var messages = {};
        $('input[type=text]').each(function () {
            rules[this.name] = 'required';
            messages[this.name] = 'Isian tidak boleh kosong';
        });

        $(FormName).validate({
            rules: rules,
            messages: messages,
            errorElement: 'span',
            errorClass: 'help-block',
            focusInvalid: true,
            highlight: function (element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            success: function (label) {
                label.closest('.form-group').removeClass('has-error');
                label.remove();
            },
            invalidHandler: function (form, validator) {
                var errors = validator.numberOfInvalids();
                if (errors) {
                    var firstInvalidElement = $(validator.errorList[0].element);
                    $('html,body').scrollTop(firstInvalidElement.offset().top - 100);
                    firstInvalidElement.focus();
                }
            }
        });

        $('.save-button').click(function (e) {
            e.preventDefault();
            if (!$(FormName).valid()) {
                return
            }
            $(FormName).submit()
        });
    };
</script>
    #{get 'filtersScripts' /}
    #{get 'adjustmentScripts' /}
#{/set}